Patch for XSS fix #13

Open
wants to merge 1 commit into
from

2 participants

@jingoro

This is to incorporate a fix to escape interpolations in the translate helper method introduced in Rails 3.1.2. This patch should be compatible with Rails 2.3.8 ... 2.3.14.

I'd have preferred to method chain translate but there didn't seem to be a clean, backwards compatible way of doing so while still supporting multiple keys.

John

@a5sk4s

Brakeman version 1.2.1 (https://github.com/presidentbeef/brakeman) reports the vulnerability in translate helper for Rails 2.3.14 using the rails_xss plugin.

Would this patch address the problem? What is the reason that it is not being applied? Has the vulnerability been addressed in any other way?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment